12.4. Kernel Interaction During Boot
前一頁 | 章 12. FreeBSD 開機流程篇 | 下一頁

## 12.4. Kernel Interaction During Boot

Once the kernel is loaded by either loader (as usual) or boot2 (bypassing the loader), it examines its boot flags, if any, and adjusts its behavior as necessary.

### 12.4.1. Kernel Boot Flags

Here are the more common boot flags:

`-a`

  during kernel initialization, ask for the device to mount as the root file system.

`-C`

  boot from CDROM.

`-c`

  run UserConfig, the boot-time kernel configurator

`-s`

  boot into single-user mode

`-v`

  be more verbose during kernel startup

### 注意:

There are other boot flags, read boot(8) for more information on them.

前一頁 | 上一層 | 下一頁
12.3. The Boot Manager and Boot Stages | 起始頁 | 12.5. Device Hints

All FreeBSD documents are available for download at http://ftp.FreeBSD.org/pub/FreeBSD/doc/

Questions that are not answered by the documentation may be sent to <freebsd-questions@FreeBSD.org>.
Send questions about this document to <freebsd-doc@FreeBSD.org>.